Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4860 - nfs client does not changes for a long time
Summary: nfs client does not changes for a long time
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-02 17:02 UTC by ezharkov
Modified: 2015-10-01 01:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 13:05:52 UTC


Attachments (Terms of Use)

Description ezharkov 1999-09-02 17:02:18 UTC
I am on uname -a:
Linux 2.2.12 #3 SMP Thu Sep 2 03:34:03 MDT 1999 i586 unknown
I have a number of nfs-mounted disks. The disks are on
Digital UNIX V4.0, Solaris 2.6, Linux 2.0.36.
When I edit file on any of these, the changes are not
seen by the Linux 2.2.12 for a long time (30 seconds and
more).

Comment 1 jeppesen 1999-09-04 20:25:59 UTC
I'm using RH6.0 (with the latest updates) on 3 Intel systems - one is
a NFS server. When a file is edited on one NFS client there is a
duration of up to 60 seconds before the changes can be registered on
the second NFS client.

Comment 2 Alan Cox 2000-09-16 21:32:23 UTC
Eep. Im amazed this wasnt closed and answered a very very long time ago

NFS caches data and metadata so the 30-60 seconds is actually not at all
unreasonable. The defaults are changeable via mount options


Comment 3 openshift-github-bot 2015-10-01 01:40:23 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/b6c304c7ec4514ebc5467cdbeb5934928c1d5865
Issue 4860 - missing no deployments msg when only have RCs


Note You need to log in before you can comment on or make changes to this bug.